Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

action
string

Filter by exact action, e.g. connection.execute.

actor_type
enum<string>

Filter by who acted.

Available options:
agent,
user,
api,
system
entity_type
string

Filter by affected primitive, e.g. integration_approval.

entity_id
string

Filter by the affected primitive's id.

after
string<date-time>

Only events at or after this ISO-8601 timestamp.

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of activity log events

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required